unit foo;

interface

procedure bar;

implementation

procedure bar;
begin
  writeln ('Failed')
end;

end.

program fjf240;

uses foo;

procedure baz;

  procedure bar;
  begin
    writeln ('OK')
  end;

begin
  bar
end;

begin
  baz
end.
